/*************************************************************************\
 * File   : TkImageToolsDLL.cxx
 * Purpose: Resize and other image related tools
 *
 * Author : Tom Wilkason
 * Dated  : 12/22/2005
 *
 * Revision History:
 * -----------------
 * $Revision:$
 * $Log:$
\************************************************************************/
/*********************************************************
                     I N C L U D E S
*********************************************************/
#include <tcl.h>
#include <tk.h>
/*********************************************************
                     E X T E R N S
*********************************************************/
extern int createTkCommands(Tcl_Interp *interp);
/*********************************************************
                     I N T E R N S
*********************************************************/
/******************************************************************\
 Function   : TkImageTools_Init
 Description: Main initialization routine that is called when
              the DLL is loaded into the TCL interpreter
 Author     : Tom Wilkason
 Date       : 12/22/2005
\******************************************************************/
#undef TCL_STORAGE_CLASS
#define TCL_STORAGE_CLASS DLLEXPORT
EXTERN
int Tkimagetools_Init(Tcl_Interp *interp)

{
   #if TCL_MAJOR_VERSION == 8 && TCL_MINOR_VERSION >= 1
   // use stubs when possible
   if (Tcl_InitStubs(interp, "8.1", 0) == NULL) {
     return TCL_ERROR;
   }
   if (Tk_InitStubs(interp, "8.1", 0) == NULL) {
     return TCL_ERROR;
   }
   #endif

   if ( Tcl_PkgProvide(interp, "TkImageTools", "1.0") != TCL_OK )
   {
      return TCL_ERROR;
   }
   createTkCommands(interp);
   Tcl_AppendResult(interp,"TkImageTools 1.0 Ready",NULL);

   return 0;
}

